Developer
POST /v1/check-offers

Check offers for a visited URL

Merchants

Description

Checks whether the visited URL belongs to a registered merchant domain.
This endpoint can be used without authentication. When a valid JWT token is provided, the request is associated with the authenticated user.

Request Body

required

application/json

urlstring (uri)required
URL of the page currently being visited.
Example: https://globalmart.revclic.dev/products/laptop

Responses

200 Successful response
application/json
statusstring
Example: success
dataarray [object]
Matching merchants for the visited URL domain.
merchant_idinteger
Merchant ID.
Example: 123
merchant_namestring
Merchant name.
Example: GlobalMart
merchant_logostring (uri)
Merchant logo URL.
Example: https://storage.revclic.dev/merchants/1/globalmart.jpg
website_urlstring (uri)
Merchant website URL.
Example: https://tracking.revclic.dev/globalmart
400 URL is required
application/json
Example:
{
  "status": "error",
  "message": "URL is required"
}